Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::ostream_iterator< T, Char, Traits > Struct Template Reference
Iterator

## Public Types
using | char_type = Char
using | difference_type = std::ptrdiff_t
using | ostream_type = std::basic_ostream< Char, Traits >
using | traits_type = Traits

## Public Member Functions
ostream_iterator & | operator* ()
ostream_iterator & | operator++ ()
ostream_iterator & | operator++ (int)
template<typename U >
ostream_iterator & | operator= (U &&value)
| ostream_iterator (ostream_type &s, Char const *d=nullptr) noexcept

## Member Function Documentation

## ◆ operator=()

template<typename T = void, typename Char = char, typename Traits = std::char_traits<Char>>
template<typename U >

ostream_iterator& ranges::ostream_iterator< T, Char, Traits >::operator= | ( | U && | value | ) |

Precondition
  requires `convertible_to<U, value_t<U> const &>`